<?php   namespace Concrete\Package\EzProduct\Block\EzCart;
use Concrete\Core\Block\BlockController;
use Concrete\Core\Support\Facade\Application;
use Concrete\Core\Page\Page; 

class Controller extends BlockController
{
    protected $btTable = 'btEzcart';
    protected $btInterfaceWidth = "480";
    protected $btWrapperClass = 'ccm-ui';
    protected $btInterfaceHeight = "400";
	protected $btDefaultSet = 'ezproduct';
    public function getBlockTypeDescription() {
        return t("Add a PayPal view cart button.");
    }

    public function getBlockTypeName(){
        return t("EZ Cart");
    }
	
	public function on_start() {
		if(!is_object($this->app)){
			$this->app = \Concrete\Core\Support\Facade\Application::getFacadeApplication();
			$this->set('app', $this->app);
		}
	}
	public function add() {
        $this->edit();
    }
	public function edit() {
		$this->set('app', Application::getFacadeApplication());
	}
	
	public function getFileID() {
        return $this->fID;
    }
	public function getFileObject() {
        return File::getByID($this->fID);
    }
	function getExternalLink() {return $this->externalLink;}
	function getInternalLinkCID() {return $this->internalLinkCID;}
	function getLinkURL() {
		if (!empty($this->externalLink)) {
			return $this->externalLink;
		} else if (!empty($this->internalLinkCID)) {
			$linkToC = Page::getByID($this->internalLinkCID);
			return (empty($linkToC) || $linkToC->error) ? '' : $this->app->make('helper/navigation')->getLinkToCollection($linkToC);
		} else {
			return '';
		}
	}
	
	public function validate($args) {
		if (!is_object($this->app)) {
            $app = Application::getFacadeApplication();
        } else {
            $app = $this->app;
        }
		$e = $app->make('error');		
		if(empty($args['business'])){
            $e->add(t("Paypal Email required."));
        }
		return $e;
	}
	
	public function save($data) {
		
		switch (intval($data['linkType'])) {
			case 1:
				$data['externalLink'] = '';
				break;
			case 2:
				$data['internalLinkCID'] = 0;
				break;
			default:
				$data['externalLink'] = '';
				$data['internalLinkCID'] = 0;
				break;
		}
		unset($data['linkType']);
		parent::save($data);
	}

}