<?php  defined('C5_EXECUTE') or die("Access Denied."); 
$pkg = Package::getByHandle('ez_product');
$ezprod_notes = $pkg->getConfig()->get('ez_product.ezprod_notes');
$pkgVersion = $pkg->getPackageVersion();?>
	
	<div class="row">
		<div class="col-xs-12">
			<p><strong><?php echo t('Version: %s', $pkgVersion);?></strong></p>
			<hr />
			<p><?php  echo t('<em>EZ Product</em> allows you to create a product to sell (buy now or add to cart), or display only (catalog).')?></p>
			<?php if(!empty($ezprod_notes)){ ?>
			<div class="alert alert-info">
				<h4><?php echo t('My Notes')?></h4>
				<?php echo $ezprod_notes ?>
			</div>
			<hr />
			<?php } ?>
			<h4><?php echo t('Basics')?></h4>
			<p><strong><?php  echo t('Item Name')?></strong> - <?php  echo t('The name of the product.')?></p>
			<p><strong><?php  echo t('Base Price')?></strong> - <?php  echo t('The cost of product. Be sure to use the correct formatting, depending on the currency.')?></p>
			<p><strong><?php  echo t('Product Type')?></strong> - <?php  echo t('Select between buy now (individual products), add to cart (allow purchse of many products at once), or catalog (only displays product info, with no ability to purchase via PayPal).')?></p>
			<p><strong><?php  echo t('Product Number')?></strong> - <?php  echo t('Optional. Numeric value that is used for tracking of inventory or profit and loss.')?></p>
			<p><strong><?php  echo t('Paypal Email')?></strong> - <?php  echo t('The email address where payment will be sent to. Must be associated with an active Paypal account.')?></p>
			<p><strong><?php  echo t('Currency Code')?></strong> - <?php  echo t('Select the currency code for your country.')?></p>
			<p><strong><?php  echo t('Checkout Target')?></strong> - <?php  echo t('To open the checkout page in a new window, select "Blank". Otherwise, "Self" will open in the same window.')?></p>
			<p><strong><?php  echo t('Quantity')?></strong> - <?php  echo t('Enter a numerical value for default quantity. Optionally allow users to enter their own quantity.')?></p>
			<hr />
			<h4><?php echo t('Setup')?></h4>
			<p><strong><?php echo t('Discount Type')?></strong> - <?php echo t('Optional. Rate (percent discount), or fixed amount. Optional additional discount per additional item, with a set limit.')?></p>
			<p><strong><?php echo t('Tax Type')?></strong> - <?php echo t('Optional. Rate (percent), or fixed amount.')?></p>
			<p><strong><?php  echo t('Shipping')?></strong> - <?php  echo t('Leave blank or enter "0" if you are not charging for shipping. Otherwise, enter a shipping cost. You can also charge an additional fee per item by entering a value for "Additional Cost".')?></p>
			<p><strong><?php echo t('Weight')?></strong> - <?php echo t('If applicable, enter a weight value as a decimal (ex. 1.55). Leave blank or set to 0 for no applicable weight.')?></p>
			<hr />
			<h4><strong><?php  echo t('Design Options')?></strong></h4>
			<p><strong><?php  echo t('Button Style')?></strong> - <?php  echo t('Select the style of button. Optionally choose a custom image as the button.')?></p>
			<p><strong><?php  echo t('Primary Color')?></strong> - <?php  echo t('Background color for product header area.')?></p>
			<p><strong><?php  echo t('Secondary Color')?></strong> - <?php  echo t('Background color for product details area.')?></p>
			<p><strong><?php  echo t('Accent Color')?></strong> - <?php  echo t('Color applied to borders.')?></p>
			<p><strong><?php  echo t('Secondary Accent Color')?></strong> - <?php  echo t('Text color.')?></p>
			<hr />
			<h4><strong><?php  echo t('Checkout')?></strong></h4>
			<p><strong><?php  echo t('Return URL')?></strong> - <?php  echo t('The URL to which PayPal redirects buyers after they complete their payments.')?></p>
			<p><strong><?php  echo t('Cancel Return URL')?></strong> - <?php  echo t('A URL to which PayPal redirects buyers if they cancel checkout before completing their payments.')?></p>

			<hr />
			<h4><strong><?php  echo t('Resources')?></strong></h4>
			<p><a href="http://www.concrete5.org/marketplace/addons/ez-product/support" target="_blank"><?php  echo t('Get Support')?></a></p>
		</div>
	</div>