<?php  namespace Concrete\Package\EzProduct\Block\EzSubscribe;
use Concrete\Core\Block\BlockController;
use Concrete\Core\Support\Facade\Application;

defined('C5_EXECUTE') or die("Access Denied."); 
class Controller extends BlockController
{
    protected $btTable = 'btEzsubscribe';
    protected $btInterfaceWidth = "580";
    protected $btWrapperClass = 'ccm-ui';
    protected $btInterfaceHeight = "460";
	protected $btDefaultSet = 'ezproduct';
    public function getBlockTypeDescription(){
        return t("Create a subscription payment plan product.");
    }

    public function getBlockTypeName(){
        return t("EZ Subscribe");
    }
	public function add() {
        $this->edit();
    }
	public function edit() { 
		$this->set('app', Application::getFacadeApplication());
		$this->requireAsset('redactor');
		$this->requireAsset('core/sitemap');
		$this->requireAsset('core/file-manager');
	}
	
	public function on_start() {
		if(!is_object($this->app)){
			$this->app = \Concrete\Core\Support\Facade\Application::getFacadeApplication();
			$this->set('app', $this->app);
		}
	}
	public function getFileID() {
        return $this->fID;
    }
	public function getFileObject() {
        return File::getByID($this->fID);
    }
	public function validate($args) {
        if (!is_object($this->app)) {
            $app = Application::getFacadeApplication();
        } else {
            $app = $this->app;
        }
		$e = $app->make('error');     
		if(empty($args['business'])){
            $e->add(t("Paypal Email required."));
        }
		if(empty($args['productName'])){
            $e->add(t("Product Name required."));
        }
		if(strlen($args['productName']) > 127) {
			$e->add(t("Product Name cannot exceed 127 characters."));
		}
		if(empty($args['productNum'])){
            $e->add(t("Item Number required."));
        }
		if(strlen($args['productNum']) > 127) {
			$e->add(t("Product Number cannot exceed 127 characters."));
		}
		if(empty($args['productPrice'])){
            $e->add(t("Price is required."));
        }
		if($args['trialPeriod1']!="0"){
			if(empty($args['trialDur1'])){
				$e->add(t("Specify Trial 1 Duration."));
			}
		}
		if($args['trialPeriod2']!="0"){
			if(empty($args['trialDur2'])){
				$e->add(t("Specify Trial 2 Duration."));
			}
		}
		if($args['srcpay']==1){
			if(empty($args['srtpay'])){
				$e->add(t("Specify number of recurring payments."));
			}
		}
		if($args['srcpay']==1){
			if(empty($args['srtpay'])){
				$e->add(t("Specify number of recurring payments."));
			}
		}
		if($args['btnStyle']=="custimg"){
			if(empty($args['fID'])){
				$e->add(t("Custom Button Image is required."));
			}
		}
		return $e;
	}
	public function save($data) { 
		$data['cCode'] = isset($data['cCode']) ? trim($data['cCode']) : 'USD';
		$data['btnStyle'] = isset($data['btnStyle']) ? trim($data['btnStyle']) : 'default';
		$data['srcpay'] = is_numeric($data['srcpay']) ? intval($data['srcpay']) : '0';
		$data['srtpay'] = is_numeric($data['srtpay']) ? intval($data['srtpay']) : '2';
		$data['srapay'] = is_numeric($data['srapay']) ? intval($data['srapay']) : '1';
		$data['subsDurD'] = is_numeric($data['subsDurD']) ? intval($data['subsDurD']) : '1';
		$data['subsDurW'] = is_numeric($data['subsDurW']) ? intval($data['subsDurW']) : '1';
		$data['subsDurM'] = is_numeric($data['subsDurM']) ? intval($data['subsDurM']) : '1';
		$data['subsDurY'] = is_numeric($data['subsDurY']) ? intval($data['subsDurY']) : '1';
		parent::save($data);
	}
}