<?php namespace Concrete\Package\EzProduct;
use Concrete\Core\Support\Facade\Config;
use Concrete\Core\Package\Package;
use Concrete\Core\Block\BlockType\BlockType;
use Concrete\Core\Block\BlockType\Set as BlockTypeSet;
use Concrete\Core\Support\Facade\Database;
use Concrete\Core\Page\Single as SinglePage;

defined('C5_EXECUTE') or die("Access Denied.");

class Controller extends Package {
	protected $pkgHandle = 'ez_product';
	protected $appVersionRequired = '5.7.5';
	protected $pkgVersion = '1.3';
	
	public function getPackageDescription() {
		return t("Sell products using PayPal.");
	}

	public function getPackageName() {
		return t("EZ Product");
	}
	
	public function install() {
		$pkg = parent::install();
		BlockTypeSet::add("ezproduct","EZ Product", $pkg);
		if (!is_object(BlockType::getByHandle('ez_cards'))) {
			BlockType::installBlockType('ez_cards', $pkg);
		} 
		if (!is_object(BlockType::getByHandle('ez_cart'))) {
			BlockType::installBlockType('ez_cart', $pkg);
		}
		if (!is_object(BlockType::getByHandle('ez_product'))) {
			BlockType::installBlockType('ez_product', $pkg);
		}
		if (!is_object(BlockType::getByHandle('ez_subscribe'))) {
			BlockType::installBlockType('ez_subscribe', $pkg);
		}

		SinglePage::add('/dashboard/ez_product', $pkg);
		if (is_object($p) && $p->isError() !== false) {
            $p->update(array('cName' => t('EZ Product'), 'cDescription' => t('EZ Product Help Center')));
        }

		SinglePage::add('/dashboard/ez_product/dashboard', $pkg);
		if (is_object($p) && $p->isError() !== false) {
            $p->update(array('cName' => t('Dashboard')));
        }
	}
	
	function upgrade() {
        parent::upgrade();
   	}
	
	public function uninstall(){
		parent::uninstall();
		$db = Database::connection();
		$db->executeQuery('DROP TABLE IF EXISTS btEzcards, btEzproduct, btEzcart, btEzsubscribe');
	}
}
?>