<?php
namespace Concrete\Package\EzProduct\Controller\SinglePage\Dashboard\EzProduct;
use Concrete\Core\Page\Controller\DashboardPageController;
use Concrete\Core\Package\Package;
use Concrete\Core\File\File;

class Dashboard extends DashboardPageController {

	public function view() {
		$pkg = Package::getByHandle('ez_product');
		$pkgVersion = $pkg->getPackageVersion();
		$config = $pkg->getConfig();
		$this->set('ezprod_notes',$config->get('ez_product.ezprod_notes'));
		$this->set('ezprod_business', $config->get('ez_product.ezprod_business'));
		$this->set('ezprod_logo', $config->get('ez_product.ezprod_logo'));
		$this->set('ezp_curs', $config->get('ez_product.ezp_curs'));
		$this->set('ezp_cCode', $config->get('ez_product.ezp_cCode'));
		$this->set('ezp_wu', $config->get('ez_product.ezp_wu'));
		$this->set('ezp_cart_handling', $config->get('ez_product.ezp_cart_handling'));
    }

    public function updated() {
        $this->set('message', t("Settings saved."));    
        $this->view();
    }

    public function save_settings() {
        if ($this->token->validate("save_settings")) {
            if ($this->isPost()) {
                $pkg = Package::getByHandle('ez_product');
				
				$ezprod_notes = $this->post('ezprod_notes');
                $pkg->getConfig()->save('ez_product.ezprod_notes', $ezprod_notes);

                $ezprod_business = $this->post('ezprod_business');
                $pkg->getConfig()->save('ez_product.ezprod_business', $ezprod_business);
				
				$ezprod_logo = $this->post('ezprod_logo');
				$pkg->getConfig()->save('ez_product.ezprod_logo', $ezprod_logo);
				
				$ezp_curs = $this->post('ezp_curs');
                $pkg->getConfig()->save('ez_product.ezp_curs', $ezp_curs);
				$ezp_cCode = $this->post('ezp_cCode');
                $pkg->getConfig()->save('ez_product.ezp_cCode', $ezp_cCode);
				$ezp_wu = $this->post('ezp_wu');
                $pkg->getConfig()->save('ez_product.ezp_wu', $ezp_wu);
				$ezp_cart_handling = $this->post('ezp_cart_handling');
                $pkg->getConfig()->save('ez_product.ezp_cart_handling', $ezp_cart_handling);
                $this->redirect('/dashboard/ez_product/dashboard','updated');

            }

        } else {
            $this->set('error', array($this->token->getErrorMessage()));
        }
    }
}