<?php defined('C5_EXECUTE') or die("Access Denied."); 
$pkg = Package::getByHandle('ez_product');
$ezp_curs = $pkg->getConfig()->get('ez_product.ezp_curs');
$pkgVersion = $pkg->getPackageVersion(); ?>

<form method="post" id="site-form" action="<?php echo $this->action('save_settings'); ?>"  enctype="multipart/form-data">
<?php echo $this->controller->token->output('save_settings'); ?>

<div class="row">
    <div class="col-md-12 col-lg-6">
		<div class="alert alert-success">
			<h2><i class="fa fa-shopping-bag"></i> <em><?php echo t('EZ Product')?></em></h2>
			<p><strong><?php echo t('Version: %s', $pkgVersion);?></strong></p>
			<p><?php echo t('<em>EZ Product</em> allows you to create and sell PayPal products and subscriptions.')?></p>
			<p><?php echo t('Add as many products as you want, entirely on the front-end!')?></p>
			<hr />
			<h4><?php echo t('Quick Links'); ?></h4>
			<div class="row"><div class="col-md-6">
				<p><?php echo t('Developed by ')?><a href="http://www.pinecreativelabs.com" target="_blank"><?php echo t('Pine Creative Labs')?></a><br />
				<?php echo t('Concrete5.org')?> <a href="http://www.concrete5.org/profile/-/view/11911" target="_blank"><?php echo t('Developer Profile')?></a></p>
				</div><div class="col-md-6">
				<p><a href="http://www.concrete5.org/marketplace/addons/ez-product" target="_blank"><?php echo t('Marketplace Page')?></a><br />
				<a href="http://www.concrete5.org/marketplace/addons/ez-product/support" target="_blank"><?php echo t('Submit Support Ticket')?></a></p>
				</div>
			</div>
		</div>
		<div class="alert alert-info">
			<h4><i class="fa fa-paypal"></i> <?php echo t('Set Global PayPal Email'); ?></h4>
			<p><?php echo t('To accept payments for products, you will need to ')?><a href="http://www.paypal.com" target="_blank"><?php echo t('set up a Paypal account')?></a>.</p>
			<p><?php echo t('This will automatically pre-populate the Paypal Email field for the EZ Product, EZ Subscribe, and EZ Cart blocks.')?></p>
			<div class="form-group">
				<div class="input-group">        
					<div class="input-group-addon"><i class="fa fa-envelope"></i></div>
					<?php echo $form->email('ezprod_business', $ezprod_business); ?>
				</div>
			</div>
		</div>
		<div class="well">
			<h4><i class="fa fa-building-o"></i> <?php echo t('Business Logo'); ?></h4>
			<p><?php echo t('Optional. Enter the full URL for a logo image, to be used on the PayPal subscription checkout page. Suggested size is 150 x 50px.')?></p>
			<div class="form-group">
				<div class="input-group">        
					<div class="input-group-addon"><i class="fa fa-globe"></i></div>
					<?php echo $form->url('ezprod_logo', $ezprod_logo); ?>
				</div>
			</div>
		</div>
		<div class="well">
			<h4><i class="fa fa-file-text-o"></i> <?php echo t('Notes')?></h4>
			<p><?php echo t('You may wish to save some notes for your own reference here. These will be displayed within the Help tab on all front-end blocks.')?></p>
			<div class="form-group">
				<div class="input-group">        
					<div class="input-group-addon"><i class="fa fa-pencil"></i></div>
					<?php echo $form->textarea('ezprod_notes', $ezprod_notes); ?>
				</div>
			</div>
		</div>

	</div>

	<div class="col-md-12 col-lg-6">	
		<div class="alert alert-warning">
			<h4><i class="fa fa-money"></i> <?php echo t('Currency'); ?></h4>
			<div class="row"><div class="col-md-6">
				<div class="form-group">
					<p><strong><?php echo t('Currency Code')?></strong></p>
					<?php echo $form->select('ezp_cCode', array("0"=>t("Not set"),"USD"=>("USD"),"AUD"=>t("AUD"),"BRL"=>("BRL"),"CAD"=>("CAD"),"CHF"=>("CHF"),"CZK"=>("CZK"),"DKK"=>("DKK"),"EUR"=>("EUR"),"GBP"=>("GBP"),"HKD"=>("HKD"),"HUF"=>("HUF"),"ILS"=>("ILS"),"JPY"=>("JPY"),"MYR"=>("MYR"),"MXN"=>("MXN"),"NOK"=>("NOK"),"NZD"=>("NZD"),"PHP"=>("PHP"),"PLN"=>("PLN"),"RUB"=>("RUB"),"SGD"=>("SGD"),"SEK"=>("SEK"),"TWD"=>("TWD"),"THB"=>("THB")),$ezp_cCode);?>
				</div>
			</div><div class="col-md-6">
				<div class="form-group">
					<p><strong><?php echo t('Currency Symbol')?></strong></p>
					<?php echo $form->select('ezp_curs', array("0"=>t("Not set"),"$"=>("$"),"£"=>("£"),"€"=>("€"),"R$"=>("R$"),"Kč"=>("Kč"),"kr"=>("kr"),"Ft"=>("Ft"),"₪"=>("₪"),"¥"=>("¥"),"RM"=>("RM"), "kr"=>("kr"),"₱"=>("₱"),"zł"=>("zł"),"₽"=>("₽"),"CHF"=>("CHF"),"NT$"=>("NT$"),"฿"=>("฿")),$ezp_curs); ?>
				</div>
			</div></div>
			<hr />
			<h4><i class="fa fa-truck"></i> <?php echo t('Shipping &amp; Handling'); ?></h4>
			<div class="row"><div class="col-md-6">
				<div class="form-group">
					<p><strong><?php echo t('Weight Unit')?></strong></p>
					<?php echo $form->select('ezp_wu', array('0'=>t('Not set'),'kg'=>t('kg'),'lb'=>t('lb')), $ezp_wu);?>
				</div>
			</div><div class="col-md-6">
				<div class="form-group">
					<p><strong><?php echo t('Cart Handling Fee')?></strong> (<?php echo t('optional')?>)</p>
					<div class="input-group">
						<div class="input-group-addon"><?php if((!empty($ezp_curs))&&($ezp_curs!="0")){ echo $ezp_curs; } else { ?><i class="fa fa-dollar"></i><?php } ?></div>
						<?php echo $form->text('ezp_cart_handling', $ezp_cart_handling); ?>
					</div>
				</div>
			</div></div>
		</div>

		<div class="panel panel-default">
			<div class="panel-heading"><strong><?php echo t('Documentation')?></strong></div>
			<ul class="list-group">
				<li class="list-group-item"><a href="https://www.concrete5.org/marketplace/addons/ez-product/case-examples/" target="_blank"><?php echo t('Case Examples')?></a></li>
				<li class="list-group-item"><a href="https://www.concrete5.org/marketplace/addons/ez-product/general-usage/" target="_blank"><?php echo t('General Usage')?></a></li>
				<li class="list-group-item"><a href="https://www.concrete5.org/marketplace/addons/ez-product/ez-product-block/" target="_blank"><?php echo t('EZ Product Block')?></a></li>
				<li class="list-group-item"><a href="https://www.concrete5.org/marketplace/addons/ez-product/ez-subscribe-block/" target="_blank"><?php echo t('EZ Subscribe Block')?></a></li>
				<li class="list-group-item"><a href="https://www.concrete5.org/marketplace/addons/ez-product/ez-cart-block/" target="_blank"><?php echo t('EZ Cart Block')?></a></li>
				<li class="list-group-item"><a href="https://www.concrete5.org/marketplace/addons/ez-product/ez-cards-block/" target="_blank"><?php echo t('EZ Cards Block')?></a></li>
				<li class="list-group-item"><a href="https://www.concrete5.org/marketplace/addons/ez-product/roadmap/" target="_blank"><?php echo t('Roadmap')?></a></li>
			</ul>
		</div>
		<div class="alert alert-info">
			<p><strong><?php echo t('TIP')?>:</strong> <?php echo t('Save time by copying product blocks to the clipboard, then paste and edit!')?> <a href="https://documentation.concrete5.org/editors/in-page-editing/block-areas/clipboard" target="_blank"><?php echo t('Learn how')?> &raquo;</a></p>
		</div>
		<div class="alert alert-success">
			<p><strong><?php echo t('Accept Donations')?>!</strong> <?php echo t('Use ')?><a href="http://www.concrete5.org/marketplace/addons/ez-paypal" target="_blank"><?php echo t('EZ Paypal')?></a> - <?php echo t('It\'s FREE')?>!</p>
		</div>
	</div>
</div>

	<div class="ccm-dashboard-form-actions-wrapper">
		<div class="ccm-dashboard-form-actions">
			<button class="pull-right btn btn-success" type="submit" ><?php echo t('Save')?></button>
		</div>
	</div>
</form>